import ApiResource from "~/models/ApiResource";
import {Str, Uid, Attr, Bool, Num} from "pinia-orm/dist/decorators";

/**
 * ApiResource : OrganizationProfile
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/ApiResources/Profile/OrganizationProfile.php
 */
export default class OrganizationProfile extends ApiResource {
    static entity = 'organization_profile'

    @Uid()
    declare id: number | string | null

    @Str(null)
    declare name: string

    @Str(null)
    declare product: string

    @Str(null)
    declare legalStatus: string

    @Attr([])
    declare networks: Array<string>

    @Attr([])
    declare modules: Array<string>

    @Bool(false)
    declare hasChildren: boolean

    @Attr([])
    declare parents: Array<number>

    @Bool(false)
    declare showAdherentList: boolean

    @Num(null)
    declare currentYear: null

    @Num(null)
    declare parametersId: null
}
